ON_PointGrid Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_pointgrid.h>`

Inheritance diagram for ON_PointGrid:

## Public Member Functions

| ON_PointGrid ()
| ON_PointGrid (const ON_PointGrid &)
| ON_PointGrid (int, int)
void | Initialize (void)
ON_BOOL32 | Create (int, int)
void | Destroy ()
virtual | ~ON_PointGrid ()
void | EmergencyDestroy ()
ON_PointGrid & | operator= (const ON_PointGrid &)
ON_3dPoint * | operator[] (int)
const ON_3dPoint * | operator[] (int) const
ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
void | Dump (ON_TextLog &) const
ON_BOOL32 | Write (ON_BinaryArchive &) const
ON_BOOL32 | Read (ON_BinaryArchive &)
ON::object_type | ObjectType () const
int | Dimension () const
ON_BOOL32 | GetBBox (double *, double *, ON_BOOL32=false) const
bool | GetTightBoundingBox (ON_BoundingBox &tight_bbox, int bGrowBox=false, const ON_Xform *xform=0) const
ON_BOOL32 | Transform (const ON_Xform &)
bool | IsDeformable () const
bool | MakeDeformable ()
ON_BOOL32 | SwapCoordinates (int, int)
ON_BOOL32 | IsClosed (int) const
int | PointCount (int) const
int | PointCount (void) const
ON_3dPoint & | Point (int, int)
ON_3dPoint | Point (int, int) const
double * | PointArray ()
const double * | PointArray () const
int | PointArrayStride (int) const
ON_BOOL32 | SetPoint (int, int, const ON_3dPoint &)
ON_BOOL32 | GetPoint (int, int, ON_3dPoint &) const
ON_BOOL32 | Reverse (int)
ON_BOOL32 | Transpose ()
Public Member Functions inherited from ON_Geometry
| ON_Geometry ()
| ON_Geometry (const ON_Geometry &)
ON_Geometry & | operator= (const ON_Geometry &)
virtual | ~ON_Geometry ()
ON_BoundingBox | BoundingBox () const
ON_BOOL32 | GetBoundingBox (ON_BoundingBox &bbox, int bGrowBox=false) const
ON_BOOL32 | GetBoundingBox (ON_3dPoint &bbox_min, ON_3dPoint &bbox_max, int bGrowBox=false) const
ON_BOOL32 | Rotate (double sin_angle, double cos_angle, const ON_3dVector &rotation_axis, const ON_3dPoint &rotation_center)
ON_BOOL32 | Rotate (double rotation_angle, const ON_3dVector &rotation_axis, const ON_3dPoint &rotation_center)
ON_BOOL32 | Translate (const ON_3dVector &translation_vector)
ON_BOOL32 | Scale (double scale_factor)
virtual void | ClearBoundingBox ()
virtual ON_BOOL32 | HasBrepForm () const
virtual ON_Brep * | BrepForm (ON_Brep *brep=NULL) const
virtual ON_COMPONENT_INDEX | ComponentIndex () const
virtual bool | EvaluatePoint (const class ON_ObjRef &objref, ON_3dPoint &P) const
Public Member Functions inherited from ON_Object
bool | CopyFrom (const ON_Object *src)
| ON_Object ()
| ON_Object (const ON_Object &)
ON_Object & | operator= (const ON_Object &)
virtual | ~ON_Object ()
void | EmergencyDestroy ()
virtual void | MemoryRelocate ()
ON_BOOL32 | IsKindOf (const ON_ClassId *pClassId) const
virtual unsigned int | SizeOf () const
virtual ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
virtual ON_UUID | ModelObjectId () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
int | SetUserStrings (int count, const ON_UserString *user_strings, bool bReplace)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | GetUserStrings (ON_ClassArray< ON_UserString > &user_strings) const
int | GetUserStringKeys (ON_ClassArray< ON_wString > &user_string_keys) const
int | UserStringCount () const
ON_BOOL32 | AttachUserData (ON_UserData *pUserData)
ON_BOOL32 | DetachUserData (ON_UserData *pUserData)
ON_UserData * | GetUserData (const ON_UUID &userdata_uuid) const
void | PurgeUserData ()
ON_UserData * | FirstUserData () const
void | TransformUserData (const ON_Xform &xform)
void | CopyUserData (const ON_Object &source_object)
void | MoveUserData (ON_Object &source_object)
virtual void | DestroyRuntimeCache (bool bDelete=true)

## Protected Attributes

int | m_point_count [2]
int | m_point_stride0
ON_3dPointArray | m_point

## Detailed Description

Definition at line 20 of file opennurbs_pointgrid.h.

## Constructor & Destructor Documentation

## ON_PointGrid() [1/3]

ON_PointGrid::ON_PointGrid | ( |  | ) |

## ON_PointGrid() [2/3]

ON_PointGrid::ON_PointGrid | ( | const ON_PointGrid & |  | ) |

## ON_PointGrid() [3/3]

ON_PointGrid::ON_PointGrid | ( | int | ,
|  | int |
| ) |  |

## ~ON_PointGrid()

virtual ON_PointGrid::~ON_PointGrid | ( |  | ) |

virtual

## Member Function Documentation

## Create()

ON_BOOL32 ON_PointGrid::Create | ( | int | ,
|  | int |
| ) |  |

## Destroy()

void ON_PointGrid::Destroy | ( |  | ) |

## Dimension()

int ON_PointGrid::Dimension | ( |  | ) | const

virtual

Implements ON_Geometry.

## Dump()

void ON_PointGrid::Dump | ( | ON_TextLog & |  | ) | const

virtual

Reimplemented from ON_Object.

## EmergencyDestroy()

void ON_PointGrid::EmergencyDestroy | ( |  | ) |

## GetBBox()

ON_BOOL32 ON_PointGrid::GetBBox | ( | double * | ,
|  | double * | ,
|  | ON_BOOL32 | = `false`
| ) |  | const

virtual

Implements ON_Geometry.

## GetPoint()

ON_BOOL32 ON_PointGrid::GetPoint | ( | int | ,
|  | int | ,
|  | ON_3dPoint & |
| ) |  | const

## GetTightBoundingBox()

bool ON_PointGrid::GetTightBoundingBox | ( | ON_BoundingBox & | tight_bbox,
|  | int | bGrowBox = `false`,
|  | const ON_Xform * | xform = `0`
| ) |  | const

virtual

Reimplemented from ON_Geometry.

## Initialize()

void ON_PointGrid::Initialize | ( | void |  | ) |

## IsClosed()

ON_BOOL32 ON_PointGrid::IsClosed | ( | int |  | ) | const

## IsDeformable()

bool ON_PointGrid::IsDeformable | ( |  | ) | const

virtual

Reimplemented from ON_Geometry.

## IsValid()

ON_BOOL32 ON_PointGrid::IsValid | ( | ON_TextLog * | text_log = `NULL` | ) | const

virtual

Implements ON_Object.

## MakeDeformable()

bool ON_PointGrid::MakeDeformable | ( |  | ) |

virtual

Reimplemented from ON_Geometry.

## ObjectType()

ON::object_type ON_PointGrid::ObjectType | ( |  | ) | const

virtual

Reimplemented from ON_Object.

## operator=()

ON_PointGrid& ON_PointGrid::operator= | ( | const ON_PointGrid & |  | ) |

## operator[]() [1/2]

ON_3dPoint* ON_PointGrid::operator[] | ( | int |  | ) |

## operator[]() [2/2]

const ON_3dPoint* ON_PointGrid::operator[] | ( | int |  | ) | const

## Point() [1/2]

ON_3dPoint& ON_PointGrid::Point | ( | int | ,
|  | int |
| ) |  |

## Point() [2/2]

ON_3dPoint ON_PointGrid::Point | ( | int | ,
|  | int |
| ) |  | const

## PointArray() [1/2]

double* ON_PointGrid::PointArray | ( |  | ) |

## PointArray() [2/2]

const double* ON_PointGrid::PointArray | ( |  | ) | const

## PointArrayStride()

int ON_PointGrid::PointArrayStride | ( | int |  | ) | const

## PointCount() [1/2]

int ON_PointGrid::PointCount | ( | int |  | ) | const

## PointCount() [2/2]

int ON_PointGrid::PointCount | ( | void |  | ) | const

## Read()

ON_BOOL32 ON_PointGrid::Read | ( | ON_BinaryArchive & |  | ) |

virtual

Reimplemented from ON_Object.

## Reverse()

ON_BOOL32 ON_PointGrid::Reverse | ( | int |  | ) |

## SetPoint()

ON_BOOL32 ON_PointGrid::SetPoint | ( | int | ,
|  | int | ,
|  | const ON_3dPoint & |
| ) |  |

## SwapCoordinates()

ON_BOOL32 ON_PointGrid::SwapCoordinates | ( | int | ,
|  | int |
| ) |  |

virtual

Reimplemented from ON_Geometry.

## Transform()

ON_BOOL32 ON_PointGrid::Transform | ( | const ON_Xform & |  | ) |

virtual

Reimplemented from ON_Geometry.

## Transpose()

ON_BOOL32 ON_PointGrid::Transpose | ( |  | ) |

## Write()

ON_BOOL32 ON_PointGrid::Write | ( | ON_BinaryArchive & |  | ) | const

virtual

Reimplemented from ON_Object.

## Member Data Documentation

## m_point

ON_3dPointArray ON_PointGrid::m_point

protected

Definition at line 184 of file opennurbs_pointgrid.h.

## m_point_count

int ON_PointGrid::m_point_count[2]

protected

Definition at line 182 of file opennurbs_pointgrid.h.

## m_point_stride0

int ON_PointGrid::m_point_stride0

protected

Definition at line 183 of file opennurbs_pointgrid.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_pointgrid.h